Bug 626234 - [abrt] bind-utils-32:9.7.1-2.P2.fc13: connect_timeout: Process /usr/bin/dig was killed by signal 11 (SIGSEGV)
[abrt] bind-utils-32:9.7.1-2.P2.fc13: connect_timeout: Process /usr/bin/dig w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
abrt_hash:50ac095fd14a772c614615980fd...
:
: 606171 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 18:04 EDT by Rik van Riel
Modified: 2013-04-30 19:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:11:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.73 KB, text/plain)
2010-08-22 18:04 EDT, Rik van Riel
no flags Details

  None (edit)
Description Rik van Riel 2010-08-22 18:04:26 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: dig +trace www.qrz.com
component: bind
crash_function: connect_timeout
executable: /usr/bin/dig
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: bind-utils-32:9.7.1-2.P2.fc13
rating: 4
reason: Process /usr/bin/dig was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282490731
uid: 500

comment
-----
I did a "dig +trace www.qrz.com", while the the nameservers for qrz.com where not reachable.

Dig segfaulted right after displaying the NS records (received from the root nameserver).

How to reproduce
-----
1. dig +trace of a hostname in a domain which nameservers are not reachable
2. ... segfault
Comment 1 Rik van Riel 2010-08-22 18:04:28 EDT
Created an attachment (id=440264)
File: backtrace
Comment 2 Cesar Eduardo Barros 2010-08-23 19:13:22 EDT
Package: bind-utils-32:9.7.1-2.P2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Notice a hostname which should be resolving isn't
2. Try to use dig +trace to diagnose it
3. A timeout happens in the middle of the trace


Comment
-----
dig +trace of a hostname bind was failing to resolve (some sort of problem with its nameservers, I think -- in this case I believe bind cached a failure of something during a drop in local connectivity, which rndc flush was later able to clear)

The crash happens after dig times out.

It happened before to me, but abrt ate my bug report. When it happens, it will be reliably reproducible until the problem which causes the timeout goes away.
Comment 3 Adam Tkac 2010-08-24 03:30:36 EDT
*** Bug 606171 has been marked as a duplicate of this bug. ***
Comment 4 Adil Lebbat 2010-10-06 08:38:12 EDT
Package: bind-utils-32:9.7.1-2.P2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
just when using the dig command
Comment 5 Bug Zapper 2011-06-01 06:47:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 10:11:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.